Subject: Re: What's in a name?
From: "David A. Cobb" <[email-masked]>
To: [email-masked]
Date: Thu, 30 Nov 2000 18:09:42 -0500

Christopher Faylor wrote:

> On Thu, Nov 30, 2000 at 03:30:08PM -0500, Larry Hall (RFK Partners, Inc) wrote:

And, for some reason, I didn't get Larry's posting.  But, anyway . . .

>
> >At 02:58 PM 11/30/2000, David A. Cobb wrote:
> >>Under bash I find a variable $MACHTYPE="i686-pc-Cygwin"
> >>
> >>That's nice, I thought, because I need to key a load of directory
> >>references depending on whether I'm in Win32 or Cygwin.  HOWEVER,
> >>several installations seem to think it should be "-Cygwin32" when they
> >>build their "/usr/local/???/i686-pc-?????????" subtrees.
> >
> >These are old.  Cygwin used to be referred to as Cygwin32.
> >
> >

So, Question#1 would be: where does bash get the initial value?

>
> >>And 'config.guess', at least the one I looked at calls 'uname' which
> >>says I have an
> >>"i586" and cannot make any sense out of my configuration at all.
> >
> >
> >Interesting.  Mine says:
> >
> > >uname -m
> >i686
> >
> >Are you sure you're up-to-date in your Cygwin environment?
>
> Cygwin should accurately depict the machine type.  If you're using
> a '586' it should report that fact.
>
> It depends on Windows for this information.  uname.cc has the gory
> details.
>
> cgf

So, what's an "Intel Celeron @ 466 MHz" which is all I see on the box.

MSINFO32 reports as follows:
Microsoft Windows 98 4.10.2222 A
Clean install using /T:C:\WININST0.400 /SrcDir=C:\WINDOWS\OPTIONS\CABS /IS /IW /IQ
/ID /IV /IZ /II /NR /II /C  /U:xxxxxxxxxxxxxxxxx
IE 5 5.00.3105.0106
Uptime: 0:04:29:01
Normal mode
On "CX193439-A" as "Superbiskit"
Hewlett-Packard
GenuineIntel Intel(r) Celeron(tm) Processor
63MB RAM
63% system resources free
Custom swap file on drive D (328MB free)
Available space on drive C: 226MB of 3853MB (FAT32)
Available space on drive D: 328MB of 992MB (FAT32)
Available space on drive E: 141MB of 3184MB (FAT32)

And, while we're on the subject, I see that bash also thinks I logged on as
"Administrator" which leads to another mailgram.  [later]
I know, I know, grap the sources of `uname' and look :-)
--
David A. Cobb, Software Engineer, Public Access Advocate.  Public Key at:
<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit>
"Don't buy or use crappy software"
"By the grace of God I am a Christian man,
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French, tr.]

--
Want to unsubscribe from this list?
Send a message to [email-masked]